
SITETB - Feature #237

Permitir que usuário edite o pedido enquanto estiver no estado "Aguardando autorização"

11/04/2012 04:48 PM - Ricardo Memoria

Status: Closed Start date: 11/04/2012

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 50%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Medicamentos   

Description

Pode acontecer do usuário precisar modificar um pedido que acabou de ser enviado (por exemplo, erros de digitação ou faltando

incluir pedidos de alguns medicamentos). Neste caso enquanto o pedido ainda não foi processado pela unidade central, o usuário

ainda poderá modificar o pedido (editando ou excluindo o pedido).

Qual usuário poderá modificar o pedido?

Precisa ter permissão para criar um novo pedido;

O pedido deve ser da sua unidade ou, caso seja de outra unidade, o usuário precisa ter "permissão para modificar dados de

outras unidades" (cadastro de usuários);

Quais pedidos o usuário poderá alterar?

Pedidos com o status "Aguardando autorização";

ou

Pedidos com o status "Aguardando envio", caso ele não precise de autorização (campo authorizer = null);

History

#1 - 11/05/2012 10:51 AM - Maurício Dos Santos

- Target version set to Versão atual

#2 - 11/24/2012 04:11 AM - Maurício Dos Santos

- Status changed from New to In Progress

#3 - 11/25/2012 06:44 PM - Maurício Dos Santos

A exclusao ja funciona. Na edicao esta tudo ok, menos a funcao de adicionar medicamentos.

#4 - 11/26/2012 01:54 PM - Maurício Dos Santos

Ver detaçhes

Editar

Excluir

Adicionar icones nos links

Alinhas os links a direita

#5 - 12/01/2012 02:28 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

Feito.
#6 - 12/04/2012 07:36 AM - Maurício Dos Santos

- Status changed from Resolved to Closed

#7 - 12/13/2012 11:08 AM - Ricardo Memoria

- Status changed from Closed to Feedback

- % Done changed from 0 to 50

- Componente set to Medicamentos

Ficou bom, mas os links de exclusão e edição devem ficar na página de detalhes do pedido, e não na listagem dos pedidos.

O usuário não pode editar ou excluir um pedido sem saber sobre o conteúdo dele (medicamentos, quantidade, etc)

#8 - 12/14/2012 05:44 PM - Maurício Dos Santos

- Status changed from Feedback to Resolved

#9 - 12/14/2012 09:23 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
